org.codehaus.groovy.transform.stc

## Class StaticTypeCheckingVisitor.SignatureCodecFactory

- java.lang.Object
- - org.codehaus.groovy.transform.stc.StaticTypeCheckingVisitor.SignatureCodecFactory

- Enclosing class:
    StaticTypeCheckingVisitor

      public static class StaticTypeCheckingVisitor.SignatureCodecFactory
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignatureCodecFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SignatureCodec` | `getCodec(int version, java.lang.ClassLoader classLoader)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SignatureCodecFactory

          public SignatureCodecFactory()

  - ### Method Detail

    - #### getCodec

          public static SignatureCodec getCodec(int version,
                                                java.lang.ClassLoader classLoader)